/*
 * JBoss, the OpenSource J2EE webOS
 * 
 * Distributable under LGPL license.
 * See terms of license at gnu.org.
 */
package services.ejb;

import java.util.List;

import services.entities.DistributionCenter;
import services.entities.Region;
import services.exceptions.CreateDataException;

public interface DistributionCenterManager {
   
   public List<Region> findAllRegions();
   
   public List<DistributionCenter> findAllDistributionCenters();
   
   public void createDistributionCenters(String pathToRegionFile, int batchSize) throws CreateDataException;

}
