/*
 * JBoss, the OpenSource J2EE webOS
 * 
 * Distributable under LGPL license.
 * See terms of license at gnu.org.
 */
package services.ejb;

import java.io.Serializable;
import java.util.List;
import services.entities.Order;

public interface OrderInquiry extends Serializable {
   
   public int getPaginationForInquiries();
   
   public List<Order> findOrdersByCustomer(long customerId);
   
   public void reset();
   
   public void cancelSession();

}
