package services.ejb;

import java.util.List;

import javax.ejb.Timer;

import services.entities.Order;
import services.entities.OrderLine;
import services.exceptions.CreateDataException;
import services.exceptions.OrderEntryProcessFailedException;

public interface OrderManager {
	
	public Order createOrder(long customerId
			, List<OrderLine> orderLines) throws OrderEntryProcessFailedException;
	
	public void createOrderPurgeTimer(boolean runWithTimer) throws CreateDataException;
	
	public void purgeOldOrders(Timer timer);

}
