package services.entities;

import java.io.Serializable;

import javax.persistence.Embeddable;

@Embeddable
public class OrderLinePK implements Serializable {
	
	private static final long serialVersionUID = 6117000918807714466L;
	private String orderId;
	private long lineNumber;
	
	public OrderLinePK() {
		
		
	}

	public String getOrderId() {
		
		return orderId;
		
	}
	
	public void setOrderId(String orderId2) {
		
		this.orderId = orderId2;
		
	}
	
	public long getLineNumber() {
		
		return lineNumber;
		
	}
	
	public void setLineNumber(long lineNumber) {
		
		this.lineNumber = lineNumber;
		
	}
	
	public boolean equals(Object o) {
		
		if (this == o) {
			return true;
		}
		
		if (o == null || getClass() != o.getClass()) {
			return false;
		}
		
		final OrderLinePK orderLinePK = (OrderLinePK) o;
		
		if (!(orderId == orderLinePK.orderId)) {
			return false;
		}
		
		if (!(lineNumber == orderLinePK.lineNumber)) {
			return false;
		}
		
		return true;
		
	}
	
	public int hashCode() {
		
		int hashValue;
		
		hashValue = orderId.hashCode()
			+ Long.toString(lineNumber).hashCode();
		
		return hashValue;
		
	}

}
