/*
 * JBoss, the OpenSource J2EE webOS
 * 
 * Distributable under LGPL license.
 * See terms of license at gnu.org.
 */
package services.exceptions;

import javax.ejb.ApplicationException;

@ApplicationException(rollback=true)
public class ProductNotFoundException extends Exception {

   /** The serialVersionUID */
   private static final long serialVersionUID = -4021354735339885945L;

   public ProductNotFoundException() {
      
      super();
      
   }

   public ProductNotFoundException(String message) {
      
      super(message);
      
   }

   public ProductNotFoundException(String message, Throwable cause) {
      
      super(message, cause);
      
   }

   public ProductNotFoundException(Throwable cause) {
      
      super(cause);
      
   }

}
